[Support] A75G Repo


343 posts in this topic Last Reply

Recommended Posts

Hello,

 

Don't think not sure ... /etc/system.conf is persistant at unraid reboot.

 

Any modifications is revert back at original file.

 

This is why I modify the /boot...

 

 

Edited by tech_rkn
Link to post
  • Replies 342
  • Created
  • Last Reply

Top Posters In This Topic

Top Posters In This Topic

Popular Posts

Info https://github.com/A75G/docker-templates/blob/master/README.md   Request Docker Template && Template Issues (Cant guarantee anything but will try my best) https:/

It is not so complicated to get it up & running, you just need to know where to start   First thing you need to edit the homeserver.yaml located in /appdata/matrix   Locate

You can do that by modifying the repository that the docker template is using. It looks like it is currently using the "master" tag:   To change it, head out to where it is hosted on d

Posted Images

Can't get wallabag to mass-import my pocket exported json...

Tried to use your supplied redis as well, but they don't seem to work hand in hand...

Has anyone accomplished a mass-import in wallabag before and give me something like a howto?

I'm a complete noob to redis as well, so ELI5 please and honestly, I don't think I'll need redis too soon anymore after using it to feed my wallabag instance, so we can keep it simple and single-purpose if that facilitates that.

 

Cheers and thank you to anyone who is interested in helping me out here!

Link to post

I am still having the error in Wallabag log which results in a 500 response. I already tried to reinstall the docker. 

Has anybody an idea on how to solve it?

 

2021/05/04 14:18:37 [error] 263#263: *19 FastCGI sent in stderr: "PHP message: PHP Fatal error: Uncaught PDOException: SQLSTATE[HY000]: General error: 1 no such column: t0.googleAuthenticatorSecret in /var/www/wallabag/vendor/doctrine/dbal/lib/Doctrine/DBAL/Driver/PDOConnection.php:67

 

Thanks.

Link to post

had a minor setup issue with firefox syncserver returning a 404 error. about:sync-log

 

1620246309675	Sync.LogManager	DEBUG	Flushing file log
1620246309684	Sync.LogManager	DEBUG	Log cleanup threshold time: 1619382309684
1620246309704	Sync.LogManager	DEBUG	Done deleting files.
1620246309939	Services.Common.RESTRequest	DEBUG	GET https://profile.accounts.firefox.com/v1/profile 304
1620246310644	FirefoxAccounts	INFO	Polling device commands.
1620246310645	Sync.Service	DEBUG	User-Agent: Firefox/88.0 (Linux x86_64) FxSync/1.90.0.20210415204500.desktop
1620246310645	Sync.Service	INFO	Starting sync at 2021-05-05 16:25:10 in browser session zcF8cHnxK2Vk
1620246310645	Sync.Service	DEBUG	In sync: should login.
1620246310645	Sync.Service	INFO	User logged in successfully - verifying login.
1620246310645	FirefoxAccounts	TRACE	not checking freshness of profile as it remains recent
1620246310646	Sync.SyncAuthManager	DEBUG	unlockAndVerifyAuthState already has (or can fetch) sync keys
1620246310646	Sync.Status	DEBUG	Status.login: error.login.reason.network => success.status_ok
1620246310646	Sync.Status	DEBUG	Status.service: error.login.failed => error.login.failed
1620246310646	Sync.Service	DEBUG	Fetching unlocked auth state returned success.status_ok
1620246310646	FirefoxAccounts	TRACE	not checking freshness of profile as it remains recent
1620246310646	Sync.SyncAuthManager	INFO	Getting sync key
1620246310646	Sync.SyncAuthManager	INFO	Getting a sync token from: https://selfhosted.url/1.0/sync/1.5
1620246310646	Sync.SyncAuthManager	DEBUG	Getting a token using OAuth
1620246310646	FirefoxAccounts	DEBUG	getOAuthToken enter
1620246310646	FirefoxAccounts	TRACE	getCachedToken returning cached token
1620246310646	FirefoxAccounts	DEBUG	getOAuthToken returning a cached token
1620246310647	Services.Common.TokenServerClient	DEBUG	Beginning OAuth token exchange: https://selfhosted.url/1.0/sync/1.5
1620246310647	Services.Common.RESTRequest	DEBUG	GET request to https://selfhosted.url/1.0/sync/1.5
1620246310648	Services.Common.RESTRequest	DEBUG	GET request to https://api.accounts.firefox.com/v1/account/device/commands?index=0
1620246310650	Services.Common.RESTRequest	DEBUG	GET https://selfhosted.url/1.0/sync/1.5 404
1620246310650	Services.Common.TokenServerClient	DEBUG	Got token response: 404
1620246310650	Services.Common.TokenServerClient	WARN	Error processing token server response: TypeError: right-hand side of 'in' should be an object, got number(resource://services-common/tokenserverclient.js:303:11) JS Stack trace: _processTokenResponse@tokenserverclient.js:303:11
_tokenServerExchangeRequest@tokenserverclient.js:245:19
1620246310650	Sync.SyncAuthManager	ERROR	Non-authentication error in _fetchTokenForUser: TokenServerClientError({"message":{}})(resource://services-common/tokenserverclient.js:39:36) JS Stack trace: TokenServerClientError@tokenserverclient.js:37:16
_tokenServerExchangeRequest@tokenserverclient.js:251:19
1620246310650	Sync.Status	DEBUG	Status.login: success.status_ok => error.login.reason.network
1620246310650	Sync.Status	DEBUG	Status.service: error.login.failed => error.login.failed
1620246310650	Sync.SyncAuthManager	INFO	Failed to fetch the cluster URL: TokenServerClientError({"message":{}})(resource://services-common/tokenserverclient.js:39:36) JS Stack trace: TokenServerClientError@tokenserverclient.js:37:16
_tokenServerExchangeRequest@tokenserverclient.js:251:19
1620246310650	Sync.Service	DEBUG	verifyLogin failed: TokenServerClientError({"message":{}})(resource://services-common/tokenserverclient.js:39:36) JS Stack trace: TokenServerClientError@tokenserverclient.js:37:16
_tokenServerExchangeRequest@tokenserverclient.js:251:19
1620246310650	Sync.Status	DEBUG	Status.login: error.login.reason.network => error.login.reason.network
1620246310650	Sync.Status	DEBUG	Status.service: error.login.failed => error.login.failed
1620246310650	Sync.ErrorHandler	ERROR	Sync encountered a login error
1620246310651	Sync.SyncScheduler	DEBUG	Clearing sync triggers and the global score.
1620246310651	Sync.SyncScheduler	DEBUG	Next sync in 3600000 ms. (why=schedule)
1620246310651	FirefoxAccounts	TRACE	not checking freshness of profile as it remains recent
1620246310651	Sync.Service	DEBUG	Exception calling WrappedLock: Error: Login failed: error.login.reason.network(resource://services-sync/service.js:1038:15) JS Stack trace: onNotify@service.js:1038:15
1620246310651	Sync.Service	DEBUG	Not syncing: login returned false.
1620246310652	FirefoxAccounts	TRACE	not checking freshness of profile as it remains recent

 

fix for me was to insert a /token to your custom server address you plug into your firefox browser. an fyi in case others come across this issue

https://github.com/mozilla-mobile/fenix/issues/15590

Link to post
On 5/4/2021 at 12:20 PM, darkreeper said:

I am still having the error in Wallabag log which results in a 500 response. I already tried to reinstall the docker. 

Has anybody an idea on how to solve it?

 


2021/05/04 14:18:37 [error] 263#263: *19 FastCGI sent in stderr: "PHP message: PHP Fatal error: Uncaught PDOException: SQLSTATE[HY000]: General error: 1 no such column: t0.googleAuthenticatorSecret in /var/www/wallabag/vendor/doctrine/dbal/lib/Doctrine/DBAL/Driver/PDOConnection.php:67

 

Thanks.

Try this :

 

docker exec -t NAME_OR_ID_OF_YOUR_WALLABAG_CONTAINER /var/www/wallabag/bin/console doctrine:migrations:migrate --env=prod --no-interaction

 

(borrowed from here)

Link to post

I'm having trouble with the NUT server (ramdockerapp/nut-server)... I've installed it, set the path to the files, and set creds, but when I try to access the WebUI I get a 404 (sometimes I get asked to auth first, then after authing I get a 404).

 

Am I doing something wrong?


Checking the log via the console shows the server has scanned the directories correctly, and when running "ps aux" I see the command "python3 /root/nut.src.latest/nut.py -S"

Link to post
Posted (edited)
10 hours ago, duffbeer said:

I'm having trouble with the NUT server (ramdockerapp/nut-server)... I've installed it, set the path to the files, and set creds, but when I try to access the WebUI I get a 404 (sometimes I get asked to auth first, then after authing I get a 404).

 

Am I doing something wrong?


Checking the log via the console shows the server has scanned the directories correctly, and when running "ps aux" I see the command "python3 /root/nut.src.latest/nut.py -S"

Now just i notice the name might conflict with UPS nut server.

Are you using this tool for Nintendo switch or for UPS?

If for Nintendo switch then its normal all you have to do is connect to it using the username and password.

Edited by A75G
Link to post
11 hours ago, A75G said:

Now just i notice the name might conflict with UPS nut server.

Are you using this tool for Nintendo switch or for UPS?

If for Nintendo switch then its normal all you have to do is connect to it using the username and password.

 

I'm using it for Nintendo NUT server. I expect that when I click the "WebUI" on the Docker image that I'd get to see the NUT interface. Instead I (sometimes) get asked to authenticate, then I get a white page with a "404", and that's as far as it gets.

Link to post
5 hours ago, duffbeer said:

 

I'm using it for Nintendo NUT server. I expect that when I click the "WebUI" on the Docker image that I'd get to see the NUT interface. Instead I (sometimes) get asked to authenticate, then I get a white page with a "404", and that's as far as it gets.

The webgui doen't work but from switch side it works fine.

Link to post

tt-rss docker: I've setup my tt-rss docker as a subdomain with reverse proxy (linuxserver.io swag docker)

Unfortunately I'm getting this error when attempting to subscribe to a feed:

 

Couldn't download the specified URL: ; 60 SSL certificate problem: unable to get local issuer certificate

Link to post
Posted (edited)
6 hours ago, Zan said:

tt-rss docker: I've setup my tt-rss docker as a subdomain with reverse proxy (linuxserver.io swag docker)

Unfortunately I'm getting this error when attempting to subscribe to a feed:

 

Couldn't download the specified URL: ; 60 SSL certificate problem: unable to get local issuer certificate

Here's a workaround, open a console within the container and run this code. Replace google.com with the site you're having issues with.

If anyone has a better solution please post here

 

echo | openssl s_client -servername google.com -connect google.com:443 |  sed -ne '/-BEGIN CERTIFICATE-/,/-END CERTIFICATE-/p' >> /etc/ssl/certs/ca-certificates.crt


 

Edited by Zan
Added that needs to be run in a console in the docker
Link to post
Posted (edited)

I got an issue with the matrix docker.

The log is goving me several socket: Protocol not supported lines and a message about turnserver (which i'm not planning to use).

 

In homeserver.yaml I set the listener for port 8008 to listen on '0.0.0.0'. But I cannot connect to the port 8008.

 

EDIT: Is it possible, that docker or that image is unable to bind anything to port 8008?

 

Below several logs:

 

matrix docker log:

-=> start turn
-=> start matrix
Cannot create pid file: /var/run/turnserver.pid: Permission denied
socket: Protocol not supported
socket: Protocol not supported
...

 

trying to create admin user:

$ register_new_matrix_user -c /data/homeserver.yaml http://0.0.0.0:8008 
New user localpart [matrix]: pedan
Password: 
Confirm password: 
Make admin [no]: yes
Traceback (most recent call last):
  File "/usr/local/lib/python3.7/dist-packages/urllib3/connection.py", line 170, in _new_conn
    (self._dns_host, self.port), self.timeout, **extra_kw
  File "/usr/local/lib/python3.7/dist-packages/urllib3/util/connection.py", line 96, in create_connection
    raise err
  File "/usr/local/lib/python3.7/dist-packages/urllib3/util/connection.py", line 86, in create_connection
    sock.connect(sa)
ConnectionRefusedError: [Errno 111] Connection refused

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/lib/python3.7/dist-packages/urllib3/connectionpool.py", line 706, in urlopen
    chunked=chunked,
  File "/usr/local/lib/python3.7/dist-packages/urllib3/connectionpool.py", line 394, in _make_request
    conn.request(method, url, **httplib_request_kw)
  File "/usr/local/lib/python3.7/dist-packages/urllib3/connection.py", line 234, in request
    super(HTTPConnection, self).request(method, url, body=body, headers=headers)
  File "/usr/lib/python3.7/http/client.py", line 1260, in request
    self._send_request(method, url, body, headers, encode_chunked)
  File "/usr/lib/python3.7/http/client.py", line 1306, in _send_request
    self.endheaders(body, encode_chunked=encode_chunked)
  File "/usr/lib/python3.7/http/client.py", line 1255, in endheaders
    self._send_output(message_body, encode_chunked=encode_chunked)
  File "/usr/lib/python3.7/http/client.py", line 1030, in _send_output
    self.send(msg)
  File "/usr/lib/python3.7/http/client.py", line 970, in send
    self.connect()
  File "/usr/local/lib/python3.7/dist-packages/urllib3/connection.py", line 200, in connect
    conn = self._new_conn()
  File "/usr/local/lib/python3.7/dist-packages/urllib3/connection.py", line 182, in _new_conn
    self, "Failed to establish a new connection: %s" % e
urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPConnection object at 0x147aa5b1e9b0>: Failed to establish a new connection: [Errno 111] Connection refused

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/lib/python3.7/dist-packages/requests/adapters.py", line 449, in send
    timeout=timeout
  File "/usr/local/lib/python3.7/dist-packages/urllib3/connectionpool.py", line 756, in urlopen
    method, url, error=e, _pool=self, _stacktrace=sys.exc_info()[2]
  File "/usr/local/lib/python3.7/dist-packages/urllib3/util/retry.py", line 574, in increment
    raise MaxRetryError(_pool, url, error or ResponseError(cause))
urllib3.exceptions.MaxRetryError: HTTPConnectionPool(host='0.0.0.0', port=8008): Max retries exceeded with url: /_synapse/admin/v1/register (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x147aa5b1e9b0>: Failed to establish a new connection: [Errno 111] Connection refused'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/bin/register_new_matrix_user", line 19, in <module>
    main()
  File "/usr/local/lib/python3.7/dist-packages/synapse/_scripts/register_new_matrix_user.py", line 220, in main
    args.user, args.password, args.server_url, secret, admin, args.user_type
  File "/usr/local/lib/python3.7/dist-packages/synapse/_scripts/register_new_matrix_user.py", line 133, in register_new_user
    user, password, server_location, shared_secret, bool(admin), user_type
  File "/usr/local/lib/python3.7/dist-packages/synapse/_scripts/register_new_matrix_user.py", line 42, in request_registration
    r = requests.get(url, verify=False)
  File "/usr/local/lib/python3.7/dist-packages/requests/api.py", line 76, in get
    return request('get', url, params=params, **kwargs)
  File "/usr/local/lib/python3.7/dist-packages/requests/api.py", line 61, in request
    return session.request(method=method, url=url, **kwargs)
  File "/usr/local/lib/python3.7/dist-packages/requests/sessions.py", line 542, in request
    resp = self.send(prep, **send_kwargs)
  File "/usr/local/lib/python3.7/dist-packages/requests/sessions.py", line 655, in send
    r = adapter.send(request, **kwargs)
  File "/usr/local/lib/python3.7/dist-packages/requests/adapters.py", line 516, in send
    raise ConnectionError(e, request=request)
requests.exceptions.ConnectionError: HTTPConnectionPool(host='0.0.0.0', port=8008): Max retries exceeded with url: /_synapse/admin/v1/register (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x147aa5b1e9b0>: Failed to establish a new connection: [Errno 111] Connection refused'))

 

port test on unraid host:

root@Tower:/mnt/user/appdata/matrix# ss -tulpn | grep 8008
tcp   LISTEN 0      4096           0.0.0.0:8008       0.0.0.0:*    users:(("docker-proxy",pid=1203,fd=4))
root@Tower:/mnt/user/appdata/matrix# curl http://192.168.178.40:8008/
curl: (7) Failed to connect to 192.168.178.40 port 8008: Connection refused

 

listeners part:

  - port: 8008
    tls: false
    type: http
    x_forwarded: true
    bind_addresses: ['0.0.0.0']

    resources:
      - names: [client, federation]
        compress: false

 

Edited by Pedan
Link to post
On 4/6/2021 at 11:19 AM, eds said:

OP,

 

This is probably a docker 101 question, but:  how to revert back to a previous version of mattermost?

 

You can do that by modifying the repository that the docker template is using. It looks like it is currently using the "master" tag:

image.png.1875316e3b17e9eace4906e56a375ee3.png

 

To change it, head out to where it is hosted on docker hub:

https://hub.docker.com/r/mattermost/mattermost-team-edition/tags?page=1&ordering=last_updated

 

and pick the tag that you want and replace it. Example:

mattermost/mattermost-team-edition:5.33.4-rc1

Link to post

db-backup container unable to create backups

 

I am trying to backup a postgres database.  I've specified the backup location in the container template.  I can go to the container console and access the /backup within the container.  Permssions for /backup is set to 777 (ie: world writable).  However, when I manually run 'backup-now' command in the container console, I get the following error:

 

image.png.b4819036a0f56aea6bee65ea1818f1cd.png

 

As you can see that /backup does exist with writable permissions.  It seems like the backup-now is not able to generate the backup file (*.sql) and therefore cascading errors about "..can't stat.... *.sql: No such file or directory"

 

I've looked at the Logs but did not see any entries relating to the manual backup.

Link to post

I need some help with my Wallabag container.

 

I installed it and everything is working fine, but I need to make some changes to the site configs in Wallabag. I want to add the Paywalls for more sites that I use. This is supported in Wallabag, see https://doc.wallabag.org/en/developer/paywall.html for a guide.

 

These files are to be accessed at

vendor/j0k3r/graby-site-config/

 

 I could access the folder through the docker container console at

/var/www/wallabag/vendor/j0k3r/graby-site-config

I could see all the files inside and I know what I need to add and edit.

 

The problem is that this isn't mapped to anything in the container. I tried mapping this folder to a container and the end result was that the folder I tried to access on my end was empty. I couldn't access it through Krusader too.

 

How could I get to this folder and add in the files I need?

 

Thanks so much for the help
 

Link to post
On 4/6/2021 at 3:33 AM, Joz104 said:

Trying to install your Keycloak docker but having issues - the docker starts to load, then freezes and crashes after about 15 seconds. I've tried using multiple databases in case its a database error, no luck though. Any ideas why it might be crashing?


I'm having the same issue as Joz. Any update or info regarding this?

Link to post

Good Morning All,

I am working through configuring DashMachine and am curious if anyone else has been able to get Emby to work - similarly to what is displayed for Plex and Tautuli? If so, would you mind posting your configurations for those and maybe others e.g. Pi-Hole, Adguard Home, etc.? I ask because the internet is a bit scarce when it comes to this dashboard.

 

That being said, I like it. Now just need to figure out how to make the individual sections auto update after X seconds for the numbers to change and the http polling to perform checks. I do have Heimdall however, I like the way this dashboard allows for a more custom layout and card template collections.

 

Note: for the Emby config, I was able to get it to work albeit showing the amount of Movies and TV shows. As stated above, I would like show the streams, etc. instead of the Movies and Shows.

 

Thank you all in advance for your support!



Plex Config:

 

[plex-a_data_source]
platform = plex
host = http://IP Address:32400
token = plex token here
value_template = Sessions: {{sessions}}<br />Transcodes: {{transcodes}}

 

[Plex-A]
prefix = http://
url = IP Address:32400
icon = static/images/apps/plex.png
description = Plex data sources example
open_in = iframe
data_sources = plex-a_data_source

 

 

Tautulli Config:

 

[tautulli_http_status_test]
platform = http_status
resource = http://IP Address:8181
return_codes = 2xx,3xx,4xx

 

[tautulli_stream_data]
platform = curl
resource = http://IP Address:8181/api/v2?apikey=API KEY HERE&cmd=get_activity
value_template = <p style="font-size:12px">Sessions: {{value.response.data.stream_count}}</p><p style="font-size:12px"> Direct: {{value.response.data.stream_count_direct_play}}</p><p style="font-size:12px">Transcodes: {{value.response.data.stream_count_transcode}}</p><p style="font-size:12px">WAN: {{(value.response.data.wan_bandwidth/1000)|round(1, 'common')}} Mbps</p>
response_type = json

 

[Tautulli]
prefix = http://
url = IP ADDRESS:8181
icon = static/images/apps/tautulli.png
sidebar_icon = static/images/apps/tautulli.png
description = Example description
open_in = iframe
data_sources = tautulli_http_status_test, tautulli_stream_data

 

Emby Config:

 

[emby_http_status_test]
platform = http_status
resource = https://domain name
return_codes = 2xx,3xx

 

[embydata]
platform = curl
resource = http://IP ADDRESS:8096/emby/Items/Counts?api_key=API KEY HERE
value_template = <p style="font-size:10px">{{value.MovieCount}} Movies</p><p style="font-size:10px">{{value.SeriesCount}} TV Series</p>
response_type = json

 

[Emby-A]
prefix = http://
url = IP ADDRESS:8096
icon = static/images/apps/emby.png
sidebar_icon = static/images/apps/emby.png
description = Example description
open_in = iframe
data_sources = emby_http_status_test,embydata

Screen Shot 2021-06-17 at 10.54.53 AM.png

Screen Shot 2021-06-17 at 10.55.03 AM.png

Emby.PNG

Link to post

The changedetection.io container doesn't shut down gracefully so it will always time out when Unraid tries to shut it down (with ´docker stop -t xx´, where 'xx' is the Docker stop timeout you've set), e.g. when backing up appdata. If you add '--init' under 'Extra Parameters' it will work as expected.

Link to post
On 6/2/2021 at 2:38 AM, Nella said:

anyone had any issues with the quakejs template? can't seem to get it to work outside of my LAN

 

Here is how to make quakejs work local and remote simultaneously. It's pretty quick and easy surprisingly.

 

1. Set up port forwarding.

In my router I have public port 88 pointing towards quakejs docker IP with local port 80, and public port 27960 also pointing towards my quakejs docker IP with port 27960. The two ports here will correspond with the code below, you must use port 27960 for the game. I used public port 88 for actually accessing the game, but you can use anything you want except port 80. Port 80 may cause issues if your router's web interface is on port 80.

 

2. Edit your index.html

Open the quakejs docker console

 

Install a text editor of your choice

apt update && apt install nano

Open the index.html file

nano /var/www/html/index.html

At the end of the <script>, at the bottom of the file you will see how the game makes it's connection with "var args = [...]".

I have added some code that determines if the game is being run locally or remotely.

In my case, I have an afraid.org subdomain pointing towards my home IP.

You will want to make your file look like mine, just with your domain or home IP instead of MYDOMAIN. 

I removed some of the comment lines so you will notice some lines starting with // are missing here, you don't need those.

                                window.addEventListener('resize', resizeViewport);

                                let locw = window.location.host // var for the web access IP+port, window.location.host returns the IP/domain+port from the address bar, such as "192.168.1.5:88" or "myquake.example.com:88"
                                let locg = window.location.host // same as above except for the game port
                                let regex = /:.*/
                                if (locg.includes("MYDOMAIN")) { locg = locg.replace(regex,"") } // replace MYDOMAIN with your domain (eg. myquake.example.com) or IP, do not remove the quotes. This modifies the var by removing the web access port. You do not need to make any further adjustments, the regex will handle whatever port you used without issue.
                                var args = ['+set', 'fs_cdn', locw, '+connect', locg]; // this line has been modified to use the above variables
                                args.push.apply(args, getQueryCommands());
                                ioq3.callMain(args);
                        };

3. Reload apache2

service apache2 reload

 

4. (Optional) Password protecting your game

From the quakejs docker console

 

Generate a username and password. The command will prompt you for a password after you run it. Replace USERNAME with a name of your choice.

htpasswd -c /etc/apache2/.htpasswd USERNAME

 

Enable .htaccess restrictions for /var/www/. This command just blindly modifies a specific line, I'm assuming you didn't make any major changes here yet so this should be fine.

sed -i '172s/None/All/' /etc/apache2/apache2.conf

(Alternatively, if you don't want to blindly edit the file, just open the file and go to the "<Directory /var/www/>" section and change "AllowOverride None" to "AllowOverride All".)

 

Create the .htaccess file in /var/www/

echo -e 'AuthType Basic\nAuthName "Password Required"\nRequire valid-user\nAuthUserFile /etc/apache2/.htpasswd' > /var/www/.htaccess

 

Restart apache

 service apache2 reload

 

 

Done.

Note: Certain maps are missing textures, seems like just a quakejs quirk as the official site has the same problem.

Edited by hata
Added more code boxes. And forgot to put .htaccess in the right place.
Link to post

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.